## goss 0.4.7

=== debian/changelog ===
goss (0.4.7-2) unstable; urgency=medium

  * Add needs-root to validatessh autopkgtest

 -- Lena Voytek <lena.voytek@canonical.com>  Sat, 15 Jun 2024 10:22:45 -0700

goss (0.4.7-1) unstable; urgency=medium

  * Initial release (Closes: #804202)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 14 Jun 2024 08:47:36 +0800

## goss 0.4.8

=== Makefile ===
export GO15VENDOREXPERIMENT=1

exe = github.com/goss-org/goss/cmd/goss
pkgs = $(shell ./novendor.sh)
cmd = goss
GO111MODULE=on
GO_FILES = $(shell git ls-files -- '*.go' ':!:*vendor*_test.go')
VENV := $(shell echo $${VIRTUAL_ENV-.venv})
PYTHON := $(VENV)/bin/python
DOCS_DEPS := $(VENV)/.docs.dependencies

.PHONY: all build install test release bench fmt lint vet test-int-all gen centos7 wheezy trusty alpine3 arch test-int32 centos7-32 wheezy-32 trusty-32 alpine3-32 arch-32

all: test-short-all test-int-all dgoss-sha256

test-short-all: fmt lint vet test

install: release/goss-linux-amd64
	$(info INFO: Starting build $@)
	cp release/$(cmd)-linux-amd64 $(GOPATH)/bin/goss

test:
	$(info INFO: Starting build $@)
	./ci/go-test.sh

cov:
	go test -coverpkg=./... -coverprofile=c.out ./...
	# go tool cover -func ./c.out

funcov:
	go test -coverpkg=./... -coverprofile=c.out ./...
	go tool cover -func ./c.out

htmlcov:
	go test -v -coverpkg=./... -coverprofile=c.out ./...
	go tool cover -html ./c.out

lint:
	$(info INFO: Starting build $@)
	go install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.59
	golangci-lint run --timeout 5m $(pkgs) || true

vet:
	$(info INFO: Starting build $@)
	go vet $(pkgs) || true

fmt:
	$(info INFO: Starting build $@)
	./ci/go-fmt.sh

bench:
	$(info INFO: Starting build $@)
	go test -bench=.

test-int-validate-%: release/goss-%
	$(info INFO: Starting build $@)
	./integration-tests/run-validate-tests.sh $*

test-int-serve-%: release/goss-%
	$(info INFO: Starting build $@)
	./integration-tests/run-serve-tests.sh $*

release/goss-%: $(GO_FILES)
	./release-build.sh $*

release:
	$(MAKE) clean
	$(MAKE) build

build: release/goss-darwin-amd64 release/goss-darwin-arm64 release/goss-linux-386 release/goss-linux-amd64 release/goss-linux-arm release/goss-linux-arm64 release/goss-linux-s390x release/goss-windows-amd64

gen:
	$(info INFO: Starting build $@)
	go generate -tags genny $(pkgs)

clean:
	$(info INFO: Starting build $@)
	rm -rf ./release
	rm -rf ./site
	rm -rf ${VENV}

build-images:
	$(info INFO: Starting build $@)
	development/build_images.sh

push-images:
	$(info INFO: Starting build $@)
	development/push_images.sh

# Update the matcher test golden files
update-matcher-tests:
	go test -v -run '^TestMatchers' . -update

test-darwin-all: test-short-all test-int-darwin-all
# linux _does_ have the docker-style testing, but does _not_ currently have the same style integration tests darwin+windows do, _because_ of the docker-style testing.
test-linux-all: test-short-all test-int-64 test-int-32
test-windows-all: test-short-all test-int-windows-all

test-int-64: rockylinux9 wheezy trusty alpine3 arch test-int-serve-linux-amd64
test-int-32: rockylinux9-32 wheezy-32 trusty-32 alpine3-32 arch-32
test-int-darwin-all: test-int-validate-darwin-amd64 test-int-serve-darwin-amd64
test-int-windows-all: test-int-validate-windows-amd64 test-int-serve-windows-amd64
test-int-all: test-int-32 test-int-64

centos7-32: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh centos7 386
.PHONY: rockylinux9-32
rockylinux9-32: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh rockylinux9 386
wheezy-32: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh wheezy 386
trusty-32: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh trusty 386
alpine3-32: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh alpine3 386
arch-32: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh arch 386
centos7: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh centos7 amd64
.PHONY: rockylinux9
rockylinux9: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh rockylinux9 amd64
wheezy: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh wheezy amd64
trusty: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh trusty amd64
alpine3: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh alpine3 amd64
arch: build
	$(info INFO: Starting build $@)
	cd integration-tests/ && ./test.sh arch amd64

dgoss-sha256:
	cd extras/dgoss/ && sha256sum dgoss > dgoss.sha256

$(PYTHON):
	$(info Creating virtualenv in $(VENV))
	@python -m venv $(VENV)

$(DOCS_DEPS): $(PYTHON) docs/requirements.txt
	$(info Installing dependencies)
	@pip install --upgrade pip
	@pip install --requirement docs/requirements.txt
	@touch $(DOCS_DEPS)

docs/setup: $(DOCS_DEPS)

docs/serve: docs/setup
	$(info Running documentation live development server)
	@mkdocs serve --strict

.PHONY: docs
docs: docs/setup
	$(info Building documentation)
	@mkdocs build --strict

=== debian/changelog ===
goss (0.4.8-1) unstable; urgency=medium

  * New upstream version 0.4.8 

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 05 Aug 2024 08:32:22 -0700

## goss 0.4.9

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: all build install test release bench fmt lint vet test-int-all gen centos7 wheezy trusty alpine3 arch test-int32 centos7-32 wheezy-32 trusty-32 alpine3-32 arch-32
 
-all: test-short-all test-int-all dgoss-sha256
+all: test-short-all test-int-all dgoss-sha256 dcgoss-sha256 kgoss-sha256
 
 test-short-all: fmt lint vet test
 
@@ -144,6 +144,12 @@
 dgoss-sha256:
 	cd extras/dgoss/ && sha256sum dgoss > dgoss.sha256
 
+dcgoss-sha256:
+	cd extras/dcgoss/ && sha256sum dcgoss > dcgoss.sha256
+
+kgoss-sha256:
+	cd extras/kgoss/ && sha256sum kgoss > kgoss.sha256
+
 $(PYTHON):
 	$(info Creating virtualenv in $(VENV))
 	@python -m venv $(VENV)

=== docs/requirements.txt ===
mkdocs-material==9.5.23
mkdocs-macros-plugin==1.0.5
mkdocs-awesome-pages-plugin==2.9.2
mkdocs-exclude==1.0.2
mdx-breakless-lists==1.0.1
pygments==2.18.0

=== debian/changelog ===
goss (0.4.9-3) unstable; urgency=medium

  * Add manpage for goss.
  * Update standards version.
  * Update salsa ci configuration to latest default.

 -- Lena Voytek <lena@voytek.dev>  Sun, 17 Aug 2025 11:38:39 -0400

goss (0.4.9-2) unstable; urgency=medium

  * d/p/fix-test-expect-map.patch: Update test results to expect
    array/slice/map/iter.Seq/iter.Seq2 rather than array/slice/map
    (Closes: #1100220)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 02 Apr 2025 10:03:52 -0400

goss (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9

 -- Lena Voytek <lena.voytek@canonical.com>  Sat, 26 Oct 2024 10:17:13 +0200

=== debian/control ===
Source: goss
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Section: admin
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aelsabbahy-gonetstat-dev,
               golang-github-blang-semver-dev,
               golang-github-fatih-color-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-hashicorp-logutils-dev,
               golang-github-masterminds-sprig-dev,
               golang-github-miekg-dns-dev,
               golang-github-mitchellh-go-ps-dev,
               golang-github-moby-sys-dev,
               golang-github-oleiade-reflections-dev,
               golang-github-patrickmn-go-cache-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-prometheus-common-dev,
               golang-github-samber-lo-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tidwall-gjson-dev,
               golang-github-urfave-cli-dev,
               golang-gomega-dev,
               golang-gopkg-yaml.v3-dev,
               golang-prometheus-client-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/goss
Vcs-Git: https://salsa.debian.org/go-team/packages/goss.git
Homepage: https://github.com/goss-org/goss
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/goss-org/goss

Package: goss
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Quick and Easy server testing/validation (program)
 Goss is a YAML based serverspec (http://serverspec.org/) alternative
 tool for validating a server's configuration. It eases the process of
 writing tests by allowing the user to generate tests from the current
 system state. Once the test suite is written they can be executed,
 waited-on, or served as a health endpoint.

=== debian/tests/control ===
Tests: validatessh
Depends: goss, openssh-server
Restrictions: allow-stderr needs-root

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/goss-org/goss/tags .*/v?(\d\S*)\.tar\.gz debian
